Name:          rtirq
Version:       20150216
Release:       1mamba
Summary:       A script that configures a Real Time kernel IRQs for low audio latency
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:        Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.rncbc.org/jack/
Source:        http://www.rncbc.org/jack/rtirq-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: schedutils
## AUTOBUILDREQ-END
Requires:          schedutils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A script that configures a Real Time kernel IRQs for low audio latency.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -vD rtirq.sh   -m 0755 %{buildroot}/etc/init.d/rtirq
install -vD rtirq.conf -m 0644 %{buildroot}/etc/sysconfig/rtirq

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -eq 1 ]; then
   # new install
   service rtirq start
   /sbin/chkconfig --add rtirq
fi
exit 0

%preun
# erase
if [ $1 -eq 0 ]; then
   /sbin/chkconfig --del rtirq
   service rtirq stop
fi
exit 0

%files
%defattr(-,root,root)
%config /etc/sysconfig/rtirq
/etc/init.d/rtirq

%changelog
* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 20150216-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 20140413-1mamba
- automatic update by autodist

* Sat Sep 14 2013 Automatic Build System <autodist@mambasoft.it> 20130909-1mamba
- automatic update by autodist

* Fri Apr 05 2013 Automatic Build System <autodist@mambasoft.it> 20130402-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Automatic Build System <autodist@mambasoft.it> 20121105-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 20120505-1mamba
- automatic version update by autodist

* Thu Oct 27 2011 Automatic Build System <autodist@mambasoft.it> 20111007-1mamba
- automatic version update by autodist

* Fri Mar 18 2011 Automatic Build System <autodist@mambasoft.it> 20110314-1mamba
- automatic update by autodist

* Fri Oct 02 2009 Automatic Build System <autodist@mambasoft.it> 20090920-1mamba
- automatic update by autodist

* Sat Aug 15 2009 Automatic Build System <autodist@mambasoft.it> 20090810-1mamba
- automatic update by autodist

* Sun Aug 09 2009 Automatic Build System <autodist@mambasoft.it> 20090808-1mamba
- automatic update by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 20090626-1mamba
- automatic update by autodist

* Thu Feb 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 20090131-1mamba
- automatic update by autodist

* Tue Dec 09 2008 gil <puntogil@libero.it> 20071012-1mamba
- update to 20071012

* Wed Sep 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060819-1qilnx
- package created by autospec
